﻿
local Tracking = _G.CreateFrame("Frame", "Broker_Tracking")
Tracking.obj = _G.LibStub("LibDataBroker-1.1"):NewDataObject("Broker_Tracking", {
	icon = "Interface\\Minimap\\Tracking\\None",
	label = "Tracking"
	}
)

_G.MiniMapTracking:UnregisterAllEvents()
_G.MiniMapTracking:Hide()

Tracking:SetScript("OnEvent", function()
	for i = 1, _G.GetNumTrackingTypes() do
		local name, texture, active = _G.GetTrackingInfo(i)

		if active then
			Tracking.obj.text = name
			Tracking.obj.icon = texture
			return
		end
	end
	Tracking.obj.text = _G["FACTION_INACTIVE"]
	Tracking.obj.icon = "Interface\\Minimap\\Tracking\\None"
end)

function Tracking.obj.OnClick(frame, button)
	if button == "RightButton" then
		_G.ToggleDropDownMenu(1, nil, _G.MiniMapTrackingDropDown, frame)
	end
end

Tracking:RegisterEvent("MINIMAP_UPDATE_TRACKING")
Tracking:RegisterEvent("PLAYER_LOGIN")